module Api
  class ResponsesPack < ResponseBase


    attr_accessor :responses

    #
    # methods
    #

    # default constructor
    def initialize
      super(-1)

      @responses = []
    end

    public
    def report_log(action)
    end

    if Rails.env.development?
      public
      def report_log(action)
        logger = ApiObject.logger

        logger.info '[RESPONSES PACK START]'

        @responses.each do |response|
          response.report_log(action)
        end

        logger.info '[RESPONSES PACK END]'
      end
    end

  end
end
