class Constants

  REMOTE_PORT_FLASH             = 5001
  REMOTE_PORT_FLASH_CROSSDOMAIN = 843

  REMOTE_PORT_WEBSOCKET        = 5002
  REMOTE_PORT_WEBSOCKET_SECURE = 5102

  REMOTE_PORT_UNITY             = 5003

  THREADS_HANDLERS_COUNT = Rails.env.production? ? 10 : 2

  DIR_ASSETS_DYNAMIC = 'assets_dynamic'

  public
  def self.get_dir_assets
    result = '/data/'

    if Rails.env.development?
      result = File.join(Rails.root.to_s, 'public')
    end

    result
  end

end