class ExchangerYahoo0 < ExchangerBase

  #
  # properties
  # 

  #
  # methods
  #

  # default constructor
  public
  def initialize
    super
    @exchanger_api = ManagerRemoteHttp.new(url: 'https://quote.yahoo.com')
  end


  public
  def get_rate(from_currency, to_currency)
    params =
        {
            s: "#{from_currency}#{to_currency}=X",
            f: 'l1',
            e: '.csv'
        }

    response = @exchanger_api.get('d/quotes.csv', params)

    assert(response[:status] == EResponseType::ERT_OK, response)

    rate_string = response[:response]

    rate_string.strip!

    rate_string.to_f
  end

end