class ExchangerYahoo1 < ExchangerBase


  # default constructor
  public
  def initialize
    super

    @exchanger_api = ManagerRemoteHttp.new(url: 'http://query.yahooapis.com')
  end


  public
  def get_rate(from_currency, to_currency)
    params =
        {
            q:        "select * from yahoo.finance.xchange where pair in ('#{from_currency}#{to_currency}')",
            format:   'json',
            env:      'store://datatables.org/alltableswithkeys',
            callback: nil
        }

    response = @exchanger_api.get('v1/public/yql', params)

    assert(response[:status] == EResponseType::ERT_OK, response)

    response_exchanger = JSON.parse response[:response], {symbolize_names: true}

    rate_string = response_exchanger.assert_property!(:query).assert_property!(:results).assert_property!(:rate).assert_property!(:Rate)

    rate_string.to_f
  end

end