class ManagerRemoteSocketUnity < ManagerRemoteSocketBase


  #
  # Properties
  #

  protected
  def class_client
    SocketClientUnity
  end

  protected
  def server_type
    'unity'
  end

  #
  # Events
  #

  #
  # Methods
  #

  # default constructor
  def initialize
    super
  end

  protected
  def try_handle_request(session, request)

    check_request_class(request)

    super
  end

  public
  def start!(callback = nil)
    super

    start_server_on_port(Constants::REMOTE_PORT_UNITY, self.class_client, callback)

    nil
  end

end