class UtilsCollections

  public
  def self.get_or_create_list_in_map(map, key)
    result = map[key]

    if result.nil?
      result   = []
      map[key] = result
    end

    result
  end

  public
  def self.get_or_create_map_in_map(map, key)
    result = map[key]

    if result.nil?
      result   = {}
      map[key] = result
    end

    result
  end

end