require_at_first_dirs =
    %w(
        /api/base/base/
        /api/base/
        /api/standard/

        /core/base/extensions/
        /core/base/
        /core/with_json/
        /core/extensions/
        /core/remote/socket/base/extensions/
        /core/remote/socket/base/
        /core/uploaders/carrierwave/base/
        /core/uploaders/
        /core/currency_exchanger/base/
      )

require_at_first_dirs.each do |path|
  path_absolute = File.join(File.dirname(__FILE__), path, '**/*.rb')

  Dir[path_absolute].each do |file|
    require file
  end
end

require_at_first_files =
    %w(
        core/admin/e_admin_user_role
        core/string/e_language_type
        controllers/application_controller_base
      )

require_at_first_files.each do |file|
  require_relative file
end

dirs = %w(api controllers core)

files_ignore = []

dirs_ignore =
    %w(
      )

dirs_ignore.each do |dir|
  path_absolute = File.join(File.dirname(__FILE__), dir, '**/*.rb')

  files_ignore += Dir[path_absolute]
end

dirs.each do |dir|
  path_absolute = File.join(File.dirname(__FILE__), dir, '**/*.rb')

  files = Dir[path_absolute]

  files -= files_ignore

  files.each do |file|
    require file
  end
end


