module Api
  class HandlerBundlesInit < HandlerBase

    #
    # Properties
    #

    #
    # Methods
    #

    # default constructor
    def initialize(options = nil)
      super(options)

      @managers_bundles_map = AppInfo.instance.managers_bundles_map
    end

    def handle_request(session, request)
      super

      response = ResponseBundlesInit.new(request.request_id)

      manager_bundles = @managers_bundles_map[request.build_type]

      if manager_bundles.nil?
        response.url_data = nil
      else
        response.url_data = manager_bundles.url_client_data
      end

      session.send_response(response)
    end

  end
end