module Api
  class RequestsPack < RequestBase


    attr_accessor :requests

    #
    # methods
    #

    # default constructor
    def initialize
      super(-1)

      @requests = []
    end

    public
    def report_log(action)
    end

    if Rails.env.development?
      public
      def report_log(action)
        logger = ApiObject.logger

        logger.info '[REQUESTS PACK START]'

        @requests.each do |response|
          response.report_log(action)
        end

        logger.info '[REQUESTS PACK END]'
      end
    end

  end
end
