module Api
  class HandlerPlatformBase < HandlerBase

    #
    # events
    #


    protected
    def on_server_on_maintenance(session, request_id)
      session.send_response_error(request_id, EStringTypeBase::EST_ERROR_SERVER_ON_MAINTENANCE)
    end

    #
    # Methods
    #

    # default constructor
    public
    def initialize(options = nil)
      super(options)

      @manager_players     = AppInfo.instance.manager_players
    end
  end
end