class InfoBase

  def self.attributes
    if @attributes.nil?
      @attributes = self.instance_methods.select { |method| method =~ /=$/ }
      @attributes -= self.ignored_methods
      @attributes.map! { |attribute| attribute.to_s.chop.to_sym } # delete last symbol '='
    end

    @attributes
  end

  def self.ignored_methods
    [:===, :==, :!=]
  end


end