class LoggerSdk < Logger::Formatter

  def initialize
    super
    @datetime_format = '%Y-%m-%d %H:%M:%S'
    @format          = "[%5s] %s : %s\n"
  end

  def call(severity, time, progname, msg)
    @format % [severity, format_datetime(time), msg2str(msg)]
  end
end