class PlayerStatisticBase < ModelBase

  include Mongoid::Document
  prepend MongoidIdAlias

  #
  # Static methods
  #

  public
  def self.filters_for_admin_list(section)
    section.filters [:player_id]
  end


  #
  # db
  #

  store_in collection: 'player_statistics'

  #
  # fields
  #

  field :player_id, type: String

  field :referrer_type_install, type: String
  field :referrer_source_install, type: String

  field :referrer_type_login, type: String
  field :referrer_source_login, type: String


  #
  # Properties
  #

  #
  # Methods
  #


  # default constructor
  public
  def initialize(options = nil)
    super
  end

end