module ManagerRemoteSocketSessions

  #
  # properties
  #

  #
  # events
  #

  public
  def on_client_connected(session)
    @sessions_locker.synchronize do
      @sessions << session
    end

    nil
  end

  public
  def on_client_disconnected(session)
    @sessions_locker.synchronize do
      @sessions.delete(session)
    end

    nil
  end

  #
  # methods
  #

  public
  def init_sessions
    @sessions        = []
    @sessions_locker = Mutex.new

    nil
  end

end