# [].sort! { |a, b| a.number <=> b.number }
# online_days_in_a_row.modulo(@daily_bonuses_count)
# Time.now.utc.midnight.to_i
# player.friends_ids_new.any?
#
#
# private
# def save_bonus_received_time(player_id, bonus_id, last_received_at)
#   filter =
#       {
#           player_id: player_id,
#           bonus_id:  bonus_id
#       }
#
#   document =
#       {
#           '$setOnInsert' => {player_id: player_id, bonus_id: bonus_id},
#           '$set'         => {last_received_at: last_received_at}
#       }
#
#   options =
#       {
#           upsert: true
#       }
#
#   @class_player_bonus.collection.find_one_and_update(filter, document, options)
# end
#
#
#
# @class_player_bonus.where(:bonus_id.nin => @auto_claim_bonuses_ids, :last_received_at.lt => time_limit).delete_all
#
# public
# def self.configure_admin_list(section, field_name)
#
#   case field_name
#     when :number
#       section.configure field_name do
#         visible false
#         column_width 60
#       end
#   end
#
# end
#
# #edit
# section.configure field_name do
#   read_only true
#   help 'Required. Please choose icon file'
# end
#
# #callbacks
# after_validation :show_criteria_base_errors
#
#
#
# public
# def self.filters_for_admin_list(section)
#   section.filters [:_id]
# end
#
# # convert to hash
# Hash[level_progress_default]
#
#
# notification.update_attributes(enable: false)
#
#
# players_ids_for_send_online = @class_player.where(:id.in => players_ids, :online_days_total.lt => ONLINE_NOTIFICATIONS_SEND_FIRST_DAYS).distinct(:id)
#
#
# private
# def create_player_notifications(notification_type, players_ids, send_at)
#
#   notification_time = get_notification_time(send_at)
#
#   filter =
#       {
#           notification_type: notification_type,
#           send_at:           notification_time
#       }
#
#   document =
#       {
#           '$setOnInsert' => {notification_type: notification_type, send_at: notification_time},
#           '$push'        =>
#               {
#                   players_ids:
#                       {
#                           '$each' => players_ids
#                       }
#               }
#       }
#
#   options = {upsert: true}
#
#   # Update an existing document, otherwise create one.
#   @class_notification_player.collection.find_one_and_update(filter, document, options)
# end
#
#
# private
# def delete_player_notifications(notification_type, players_ids)
#   @class_notification_player.where(:notification_type => notification_type,
#                                    :players_ids.in    => players_ids).update_all('$pullAll' => {players_ids: players_ids})
# end
#
#
# private
# def get_notification_time(time)
#   if time.min < 30
#     time.utc.beginning_of_hour.to_i
#   else
#     (time + 1.hour).beginning_of_hour.to_i
#   end
# end
#
# next if criterion.flagged_for_destroy?
#
# unless criterion.errors[:base].nil? || criterion.errors[:base].empty?
#   errors.add(:base, "Error Criteria: #{criterion.errors[:base]}")
# end
#
# player_offers     = @class_player_offer.without(:player_id).where(:player_id         => player.id,
#                                                                   :expires_at.gt     => time_now_i,
#                                                                   :purchases_left.gt => 0).to_a
#
# document =
#     {
#         '$setOnInsert' => {player_id: player.id},
#         '$push'        => {offer_ids: offer_id}
#     }
#
# options = {upsert: true}
#
# # Update an existing document, otherwise create one.
# @class_player_offers_list.collection.find_one_and_update(filter, document, options)
#
#
#
# when :platforms
# section.configure field_name do
#
#   pretty_value do
#
#     platforms = bindings[:object].platforms
#
#     result = []
#
#     platforms.each do |platform, platform_id|
#
#       link_text = "#{platform.upcase}: #{platform_id}"
#
#       case platform
#
#         when EPlatformType::EPT_VK
#
#           result << bindings[:view].link_to(link_text, "https://vk.com/id#{platform_id}".html_safe)
#
#         when EPlatformType::EPT_OK
#
#           result << bindings[:view].link_to(link_text, "http://ok.ru/profile/#{platform_id}".html_safe)
#
#         when EPlatformType::EPT_FB
#
#           result << bindings[:view].link_to(link_text, "http://facebook.com/#{platform_id}".html_safe)
#
#         when EPlatformType::EPT_MM #not supported
#
#           result << link_text
#
#         when EPlatformType::EPT_MAMBA
#
#           result << bindings[:view].link_to(link_text, "http://mamba.ru/mb#{platform_id}".html_safe)
#
#         when EPlatformType::EPT_FS #todo:finish
#
#           result << bindings[:view].link_to(link_text, "http://fotostrana.ru/#{platform_id}".html_safe)
#
#         else
#           result << link_text
#       end
#     end
#
#     result.join('<br>').html_safe
#   end
# end
#
#
# when :friends_ids
# section.configure field_name do
#
#   pretty_value do
#
#     friends_ids = bindings[:object].friends_ids
#
#     result = []
#
#     friends_ids.each do |player_id|
#
#       link_url = bindings[:view].rails_admin.show_path(model_name: CLASS_MAP[EClassType::ECT_PLAYER], id: player_id)
#
#       result << bindings[:view].link_to(player_id, link_url)
#
#     end
#
#     result.join('<br>').html_safe
#   end
# end
#
#
# routes = ["# mrpin-sdk routes START"]
#
# routes << "devise_for :admin_users\n"
#
# routes << "mount RailsAdmin::Engine => '/admin', as: 'rails_admin'\n"
#
# routes << "root :to => 'rails_admin/main#dashboard'\n"
#
# routes << "match '/system/info' => 'system#info', via: [:get, :post]"
# routes << "match '/system/info/gc_stat' => 'system#gc_stat', via: [:get, :post]"
# routes << "match '/system/send_notifications' => 'system#send_notifications', via: [:get, :post]"
# routes << "match '/system/cleanup_data' => 'system#cleanup_data', via: [:get, :post]"
# routes << "match '/system/downloads/:type' => 'system#download', via: [:get, :post]"
#
# routes << "# mrpin-sdk routes END\n"
#
# route routes.join("\n  ")
#
# @class_player.where(:friends_ids.in => deleted_player_ids).update_all('$pullAll' => {friends_ids: deleted_player_ids})
