#todo: fix extension
module UploaderHelperBase

  #
  # properties
  #

  # key - url field
  # value - uploader field
  protected
  def url_uploaders_map
    {}
  end

  #
  # methods
  #

  protected
  def delete_uploaded_files
  end

  protected
  def try_update_uploaded_files
  end

  protected
  def delete_uploaded_files_if_error
    if self.new_record? && !errors.empty?
      delete_uploaded_files

      url_uploaders_map.each_key do |field_name|
        field_name = field_name.to_s

        self.send("#{field_name}=", nil)
      end
    end

    nil
  end

  #
  # commons methods
  #

  protected
  def get_upload_file_name(field_name, file_path)
    result = "#{self.id.to_s}_#{field_name}_#{Time.now.to_i}"

    extension = File.extname(file_path)

    unless extension.nil?
      result += extension.downcase
    end

    result
  end

  protected
  def get_path_for_uploader_relative(field_name)
    assert(false, 'Please override')
  end

  protected
  def get_path_for_uploader_absolute(field_name)
  end


end