module UtilsIO
  public
  def self.to_path_relative(path_absolute)
    if path_absolute.nil?
      puts 'UtilsIO::to_path_relative arg is nil'
      return ''
    end

    root_dir = Constants.get_dir_assets

    result = path_absolute.dup

    result.slice!(root_dir)

    result
  end

  public
  def self.to_path_absolute(path_relative)
    if path_relative.nil?
      puts 'UtilsIO::to_path_absolute arg is nil'
      return ''
    end

    root_dir = Constants.get_dir_assets

    File.join(root_dir, path_relative)
  end

  public
  def self.try_remove_file_relative(path_relative)
    return if path_relative.blank?

    path_absolute = UtilsIO.to_path_absolute(path_relative)

    if File.exist?(path_absolute)
      File.delete(path_absolute)
    end

    nil
  end
end